Subject: Re: PoPy python module
From: Sherwood Robinson <[email-masked]>
To: Andrew Markebo <[email-masked]>
Cc: [email-masked]
Date: Thu, 07 Jun 2001 10:52:31 -0400

Sorry didn't have the error and was just looking to see if anyone has even 
gotten it to work... here is the output I am getting when I run make:

gcc -DUSE_DL_IMPORT -g -O2 -Wall -Wstrict-prototypes 
-I/usr/include/python2.1 -I/usr/lib/python2.1/config 
-DHAVE_CONFIG_H=1   -I/usr/include/postgresql -Wall -D 

VERSION=\"2.0.1\"  -c ././PoPymodule.c -o ./PoPymodule.o
In file included from ././PoPymodule.c:39:
PoPymodule.h:95: warning: `PG_BINARY' redefined
/usr/include/postgresql/c.h:582: warning: this is the location of the 
previous d
efinition
././PoPymodule.c:1490: initializer element is not constant
././PoPymodule.c:1490: (near initialization for 
`PoPy_ConnectionObject_Type.ob_t
ype')
././PoPymodule.c:1505: initializer element is not constant
././PoPymodule.c:1505: (near initialization for 
`PoPy_CursorObject_Type.ob_type'
)
././PoPymodule.c:1530: initializer element is not constant
././PoPymodule.c:1530: (near initialization for 
`PoPy_BinaryObject_Type.ob_type'
)
././PoPymodule.c:1561: warning: function declaration isn't a prototype
make: *** [PoPymodule.o] Error 1

This is what I get when I run it now.  I have moved several files around so 
that it would solve some of the errors but I am really new at this and am 
having trouble with what is shown now.

TIA

SR

At 04:32 PM 6/7/2001 +0200, Andrew Markebo wrote:
>And exactly.. what is the problem. what error and so on?
>
>         /A
>/ Sherwood Robinson <[email-masked]> wrote:
>| Anyone experienced compiling the PoPy
>| (http://sourceforge.net/projects/popy) python module for PostgreSQL DB
>| API 2.0 compliant.
>|
>| It is giving me  quite the time trying to get this to compile.
>|
>| any help would be appreciated.
>|
>| Thanks
>|
>| SR

>|
>|
>| Sherwood Robinson
>| Hostmaster
>| The Free Lance-Star/Internet Department
>| [email-masked]
>| http://www.fredericksburg.com
>|
>| 616 Amelia St.
>| Fredericksburg, VA 22401
>| 540-374-5000 ext. 5657
>|
>|
>|
>|
>| --
>| Want to unsubscribe from this list?
>| Check out: http://cygwin.com/ml/#unsubscribe-simple

----------------------------------------------------
Sherwood Robinson
Hostmaster
The Free Lance-Star/Internet Department
[email-masked]
http://www.fredericksburg.com

616 Amelia St.
Fredericksburg, VA 22401
540-374-5000 ext. 5657

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple